Bug 51574 - Run dialog focus problem.
Run dialog focus problem.
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-core (Show other bugs)
roswell
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Havoc Pennington
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-12 12:02 EDT by Ed McKenzie
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-13 13:48:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ed McKenzie 2001-08-12 12:02:47 EDT
Using the new run dialog with the keyboard isn't as intuitive as it could
be.  It wasn't immediately apparent to me that the space bar must be
pressed to select the application to run before hitting Enter -- just
hitting Enter dismissed the dialog without running the application (omit
gratuitous comment about application launch notification, or lack thereof :)

Anyway, if the application list had an item selected to begin with, the
obvious action (pressing Enter) would launch applications.
Comment 1 Havoc Pennington 2001-08-13 13:34:49 EDT
It has standard listbox behavior now, and until you hit space it says "no
program selected." If we select one automatically, which should be selected?

A solution I like more is to desensitize the Run buttton until you have selected
something.
Comment 2 Ed McKenzie 2001-08-13 13:48:33 EDT
I was suggesting to have the first item selected, but your idea works as 
well (though I'd argue it's slightly less intuitive, as it wasn't immediately 
obvious to me how the current dialog works with the keyboard.)
Comment 3 Havoc Pennington 2001-08-14 18:46:38 EDT
gnome-core-1.4.0.4-28 has the "desensitize run button" solution. Fixing the list 
is something that should appear with the port to GTK 2 and move to the new list
widget there.

Note You need to log in before you can comment on or make changes to this bug.